For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet organization service facility
        • GETGet all organization service facilities
        • GETGet organization service facility by external_id
        • POSTCreate organization service facility
        • PATCHUpdate organization service facility
        • DELDelete organization service facility
Contact Sales
LogoLogo
API ReferenceOrganization Service FacilitiesV2

Get all organization service facilities

Beta
GET
/api/organization-service-facilities/v2
GET
/api/organization-service-facilities/v2
$curl -G https://api.joincandidhealth.com/api/organization-service-facilities/v2 \
> -H "Authorization: Bearer <token>" \
> -d limit=100 \
> --data-urlencode "name=Test Service Facility" \
> -d page_token=eyJ0b2tlbiI6IjEiLCJwYWdlX3Rva2VuIjoiMiJ9
200Retrieved
1{
2 "items": [
3 {
4 "organization_service_facility_id": "30F55EE6-8C0E-43FC-A7FC-DAC00D5BF569",
5 "name": "Test Service Facility",
6 "aliases": [
7 "Test Service Facility Alias"
8 ],
9 "telecoms": [
10 "555-555-5555"
11 ],
12 "address": {
13 "address1": "123 Main St",
14 "city": "New York",
15 "state": "NY",
16 "zip_code": "10001",
17 "zip_plus_four_code": "1234",
18 "address2": "Apt 1"
19 },
20 "description": "Test Service Facility Description",
21 "status": "active",
22 "operational_status": "C",
23 "mode": "instance",
24 "type": "DX",
25 "physical_type": "si"
26 }
27 ]
28}
Was this page helpful?
Previous

Get organization service facility by external_id

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Query parameters

limitintegerOptional
Limit the number of results returned. Defaults to 100.
namestringOptional
Filter to a name or a part of a name.
organization_service_facility_idsUUIDOptional
Filter to the provided organization service facility IDs.
external_idsstringOptional

Filter by one or more external_ids.

place_of_service_codeenumOptional

Filter by Place of Service (POS) code.

page_tokenstringOptional
The page token to continue paging through a previous request.
organization_idUUIDOptional
Filter to a specific organization's service facilities. If not provided, defaults to the requesting user's organization.

Response

This endpoint returns an object.
itemslist of objects
next_page_tokenstring
prev_page_tokenstring